# National Computer Science/Technology Curricula


## Australia (Digital Technologies): 

!<img width="350" height="250" src="https://www.legalreader.com/wp-content/uploads/2019/06/keith-zhu-638314-unsplash.jpg">

[Digital Technologies](https://www.australiancurriculum.edu.au/f-10-curriculum/technologies/digital-technologies/?year=12983&year=12984&year=12985&year=12986&year=12987&strand=Digital+Technologies+Knowledge+and+Understanding&strand=Digital+Technologies+Processes+and+Production+Skills&capability=ignore&capability=Literacy&capability=Numeracy&capability=Information+and+Communication+Technology+%28ICT%29+Capability&capability=Critical+and+Creative+Thinking&capability=Personal+and+Social+Capability&capability=Ethical+Understanding&capability=Intercultural+Understanding&priority=ignore&priority=Aboriginal+and+Torres+Strait+Islander+Histories+and+Cultures&priority=Asia+and+Australia%E2%80%99s+Engagement+with+Asia&priority=Sustainability&elaborations=true&elaborations=false&scotterms=false&isFirstPageLoad=false)

## England:

!<img width="350" height="250" src="https://th.bing.com/th/id/OIP.sPVliCgCTM5AVHocwaz6SAHaEK?pid=ImgDet&rs=1">

[National Computing Curriculum](https://www.gov.uk/government/publications/national-curriculum-in-england-computing-programmes-of-study/national-curriculum-in-england-computing-programmes-of-study)

[Computing at School](https://s4scoding.com/code/computing-at-school/)

## Ireland:

<img width="350" height="250" src="https://th.bing.com/th/id/OIP.20VjbRvC1TEQJGO1lwTeYAHaE8?pid=ImgDet&rs=1">

[Ireland Curriculum Site](https://www.curriculumonline.ie/Home/)
[Junior Cycle: Applied Technology](
https://www.curriculumonline.ie/Junior-cycle/Junior-Cycle-Subjects/Applied-Technology/Rationale/)
[Senior Cycle: Computer Science](https://www.curriculumonline.ie/Senior-cycle/Senior-Cycle-Subjects/Computer-Science/)

## Singapore:

!<img width="350" height="250" src="https://th.bing.com/th/id/R.e5a04e0e7fe9a939a26d1a330df6264b?rik=I8yMn%2bjBN1g4BQ&riu=http%3a%2f%2fworldofvacations.in%2fwp-content%2fuploads%2f2019%2f06%2fSingapore.jpg&ehk=d%2b3rP4Qo1FDgjDPTvCOKaQLNFPY2jtwlRA8LfFCbyko%3d&risl=&pid=ImgRaw&r=0">

### Normal (Technical):
[Secondary Courses -Normal Technical](https://www.moe.gov.sg/secondary/courses/normal-technical)

### Normal (Academic):
[Secondary Courses -Normal Academic](https://www.moe.gov.sg/secondary/courses/normal-academic)

## US Massachusetts:

<img width="350" height="250" src="https://images.fineartamerica.com/images/artworkimages/mediumlarge/3/boston-massachusetts-skyline-reflections-on-the-charles-river-gregory-ballos.jpg">

[Curriculum Guide](https://edc.org/sites/default/files/uploads/CurriculumGuide-web.pdf)

